using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;
using System.Threading;
using System.ComponentModel;

namespace Namestanje_Takmicenja
{

    class Program
    {
        static void Main(string[] args)
        {
            string[] Prva_Linija = Console.ReadLine().Split();
            int N = int.Parse(Prva_Linija[0]);
            int Q = int.Parse(Prva_Linija[1]);
            string[] DrugaLinija = Console.ReadLine().Split();
            string[] TrecaLinija = Console.ReadLine().Split();
            List<int> lista = new List<int>();
            List<int> resenje = new List<int>();
            for (int i = 0; i < N; i++)
            {
                lista.Add(int.Parse(DrugaLinija[i]));
            }
            lista.Sort();
            for (int i = 0; i < Q; i++)
            {
                int k = int.Parse(TrecaLinija[i]);
                if (lista.Contains(k))
                {
                    if (lista[lista.Count() / 2] == k)
                        resenje.Add(0);
                   
                    
                    else if ((lista.IndexOf(k) + 1 > lista.Count / 2 + 1) && lista.Count%2 == 1)
                        resenje.Add(((lista.IndexOf(k) + 1) - (lista.Count / 2 + 1)) * 2 -1 );
                    else if((lista.IndexOf(k) + 1 > lista.Count / 2 + 1) && lista.Count%2==0 ) resenje.Add(((lista.IndexOf(k) + 1) - (lista.Count / 2 + 1)) * 2 );
                   
                    
                    
                    else if(lista.IndexOf(k)+1 < lista.Count / 2 + 1 && lista.Count%2==0) resenje.Add(((lista.Count / 2 + 1) - ((lista.LastIndexOf(k) + 1))) * 2);//izbrisano -1 i dodato last index
                    else resenje.Add(((lista.Count / 2 + 1) - ((lista.IndexOf(k) + 1))) * 2 );
                }
                else
                {
                    lista.Add(k);
                    lista.Sort();
                    if (lista[lista.Count() / 2] == k)
                        resenje.Add(1);

                   

                    else if ((lista.IndexOf(k) + 1 > lista.Count / 2 + 1) && lista.Count % 2 == 1)
                        resenje.Add(((lista.IndexOf(k) + 1) - (lista.Count / 2 + 1)) * 2+1);

                    else if  ((lista.IndexOf(k) + 1 > lista.Count / 2 + 1) && lista.Count % 2 == 0) resenje.Add(((lista.IndexOf(k) + 1) - (lista.Count / 2+1)) * 2 +1);
                    


                    else if (lista.IndexOf(k) + 1 < lista.Count / 2 + 1 && lista.Count % 2 == 0) resenje.Add(((lista.Count / 2 + 1) - ((lista.LastIndexOf(k) + 1))) * 2+1);
                    else resenje.Add(((lista.Count / 2 + 1) - ((lista.IndexOf(k) + 1))) * 2 +1);
                    lista.Remove(k);
                }
                Console.WriteLine(resenje[i]);

            }
            //foreach (int i in resenje)
            //{
            //    Console.WriteLine(i);
            //}



        }
           
    }
}